> For the complete documentation index, see [llms.txt](https://arrayutils.docs.present.kim/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://arrayutils.docs.present.kim/methods/c/concat/soft.md).

# concatSoft()

{% code title="Example.php" %}

```php
<?php use kim\present\utils\arrays\ArrayUtils;

$arrayUtils = ArrayUtils::from(["first" => 1, "second" => 2, "third" => 3]);

//Same key values are ignored
$arrayUtils->concat(["first" => 0, "4th" => 4]);
// expected output: ["first" => 1, "second" => 2, "third" => 3, "4th" => 4]

//Non-array values ​​can also be combined
$arrayUtils->concat(4, 5, 6);
// expected output: ["first" => 1, "second" => 2, "third" => 3, 4, 5, 6]
```

{% endcode %}

## Syntax

```php
$arrayUtils->concatSoft(mixed ...$values) : ArrayUtils;
```

### Parameter

* `$values`

  > A new array or value to merge with the existing array.\
  > If is not array (Immutable into an array), It will be wrapped in array.

  **Return value**

  * A merged array. The same key values ​​are ignored.

## Prefixing

```php
$arrayUtils->concatSoftAs(mixed ...$values) : array;
```

```php
ArrayUtils::concatSoftFrom(mixed ...$values) : ArrayUtils;
```

```php
ArrayUtils::chunkFromAsconcatSoftFromAs(mixed ...$values) : array;
```

## References

{% content-ref url="/pages/-MKmSpSzuG0Vafxf37nw" %}
[concat()](/methods/c/concat.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://arrayutils.docs.present.kim/methods/c/concat/soft.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
